%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		gourmet
Version:	0.13.4
Release:	1%{?dist}
Summary:	Recipe Manager for the GNOME desktop environment

Group:		Applications/Productivity
License:	GPL
URL:		http://grecipe-manager.sourceforge.net
Source0:	http://easynews.dl.sourceforge.net/sourceforge/grecipe-manager/%{name}-%{version}-2.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	desktop-file-utils
BuildRequires:  gettext

Requires: gnome-python2, gnome-python2-gnomeprint
Requires: metakit
Requires: pygtk2 
Requires: PyRTF
Requires: python-imaging, python-sqlite2, pygtk2-libglade, python-reportlab
%description
Gourmet Recipe Manager is a recipe-organizer for GNOME that generates shopping
lists and allows rapid searching of recipes. It imports mealmaster & mastercook
files and exports webpages & other formats.

%prep
%setup -q
chmod -x data/recipe.dtd

%build

%{__python} setup.py build

%install
rm -rf %buildroot
%{__python} setup.py install -O1 --skip-build --root %buildroot \
  --disable-modules-check


desktop-file-install %buildroot%_datadir/applications/gourmet.desktop \
  --remove-category=Other \
  --vendor=fedora \
  --add-category=Utility \
  --add-category=X-Fedora \
  --dir=%buildroot%_datadir/applications \
  --copy-name-to-generic-name \
  --delete-original

%find_lang %{name}

%clean
rm -rf %buildroot


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc CHANGES PKG-INFO README TODO
%doc documentation
%_bindir/gourmet
# sitelib stuff
%{python_sitelib}/gourmet
# datadir stuff
%{_datadir}/applications/fedora-gourmet.desktop
%{_datadir}/pixmaps/recbox.png
%{_datadir}/gourmet

%changelog
* Sat Jul 28 2007 Jef Spaleta <jspaleta@gmail.com> - 0.13.4-1
- Update to new upstream version

* Mon Mar 26 2007 Jef Spaleta <jspaleta@gmail.com> - 0.13.3-1
- Update to new upstream version

* Wed Dec 13 2006 Jef Spaleta <jspaleta@gmail.com> - 0.12.2-2
- Some final specfile cleaning before import into extras cvs

* Tue Dec 12 2006 Jef Spaleta <jspaleta@gmail.com> - 0.12.2-1
- Update to version 0.12.2 and prepare to unorphan the tree

* Tue Apr 25 2006 Michael A. Peters <mpeters@mac.com> - 0.8.5.14-2
- try build again

* Fri Mar 17 2006 Michael A. Peters <mpeters@mac.com> - 0.8.5.14-1
- New upstream version
- rpmlint cleanup

* Fri Nov 11 2005 Michael A. Peters <mpeters@mac.com> - 0.8.5.13-1
- New upstream version

* Thu Sep 22 2005 Michael A. Peters <mpeters@mac.com> - 0.8.5.12-1
- New upstream version

* Mon Jun 13 2005 Michael A. Peters <mpeters@mac.com> - 0.8.5.2-1
- Initial checkin to cvs
